Page MenuHomePhabricator

Deploy TemplateStyles to svwiki
Closed, ResolvedPublic

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
Resolved Jdlrobson
DuplicateNone
DuplicateNone
OpenNone
OpenNone
StalledNone
InvalidNone
OpenNone
OpenNone
ResolvedTheDJ
ResolvedTheDJ
InvalidNone
OpenNone
ResolvedTheDJ
OpenNone
Resolved Jdlrobson
Open Jdlrobson
Open Jdlrobson
ResolvedTgr
Resolvedjhsoby

Event Timeline

Nirmos created this task.Sep 17 2017, 11:57 AM

(Removing tag I assume was here simply because it was in the parent task and automatically included; this shouldn't be in Tech News, as it's just about one wiki.)

ema removed a project: Traffic.Sep 21 2017, 7:16 AM

@Tgr So, do you thing this is suitable right now or do you want to wait some time in the future?

@Dereckson thanks for pinging on this. @Deskana is now in the product owner role for this technology's rollout. I think there may be a couple outstanding questions on this, and we should defer to him on rollout.

@Dereckson would you please remind me? Does svwiki have fundraising campaigns as we approach the holidays? My recollection is no, but I figured I better I ask.

^ and @Johan I think you probably know, too.

@dr0ptp4kt Typically not, no – last year it was February–March. I'll double-check with Jessica.

Harej removed a subscriber: Harej.Oct 17 2017, 12:23 AM
Johan added a comment.Oct 17 2017, 9:31 AM

Jessica confirms February 6 to March 6.

jhsoby updated the task description. (Show Details)Dec 3 2017, 3:35 AM
jhsoby added a subscriber: jhsoby.

Change 394831 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Enable TemplateStyles extension on svwiki

https://gerrit.wikimedia.org/r/394831

jhsoby added a comment.Dec 3 2017, 3:40 AM

Uploaded patch, but will wait for @Deskana's go before adding to SWAT.

Zoranzoki21 moved this task from Up next to Doing on the TemplateStyles board.
Zoranzoki21 moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Tgr added a comment.Jan 30 2018, 12:40 AM

@Deskana can we go ahead with this next week (as there is a deployment freeze for the current week)?

@Tgr Hey, sorry, I was on vacation last week. I believe we'll be good to push this out this week, but I want to make sure @CKoerner_WMF is okay with this and that we have a communication plan in place. This shouldn't take more than a couple of days, since Chris and I had already outlined what we wanted to do. (Chris, I sent you an email!)

Pcoombe added a subscriber: Pcoombe.Feb 7 2018, 8:35 PM

We are running fundraising banners on svwiki at the moment. I can't see any reason TemplateStyles would interfere with them, and tested our banners on some beta cluster pages with TemplateStyles without any problems. So it should be fine to go ahead with the deployment to svwiki from that point of view.

I'll be around to monitor on the fundraising side tomorrow just in case there are any issues.

Tgr added a comment.Feb 8 2018, 1:33 AM

Will do it in the Thursday 19:00–20:00 UTC / 11:00–12:00 PST SWAT window.

Change 394831 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable TemplateStyles extension on svwiki

https://gerrit.wikimedia.org/r/394831

Mentioned in SAL (#wikimedia-operations) [2018-02-08T19:19:10Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable TemplateStyles on svwiki (T176082) (duration: 01m 11s)

Tgr closed this task as Resolved.Feb 8 2018, 7:48 PM
Deskana moved this task from Doing to Done on the TemplateStyles board.Mar 6 2018, 6:44 PM